﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AjaxDotNet_ListBox.aspx.cs" Inherits="ajax.pages.AjaxDotNet_ListBox" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ajax via .NET</title>
    <link href="../site.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .style1
        {
            color: #FF0000;
        }
        .newStyle1 {
            vertical-align: top;
        }
        .newStyle2 {
            color: #0000FF;
            font-weight: bold;
        }
        .newStyle3 {
            border-style: solid;
        }
        .newStyle4 {
            border-style: solid;
            width: auto;
        }
    </style>

</head>
<body>
    <form id="form1" runat="server">

        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>

    <div>
    <p><b>AJAX Example Using ASP.NET</b></p>

    <div class="newStyle3">
        <span class="newStyle2">UpdatePanel1</span>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:ListBox ID="lst1" runat="server" AutoPostBack="True" onselectedindexchanged="lst_SelectedIndexChanged" Height="120px" Width="100px">
                                <asp:ListItem>Dave</asp:ListItem>
                                <asp:ListItem>Peg</asp:ListItem>
                                <asp:ListItem>Sue</asp:ListItem>
                                <asp:ListItem>Ron</asp:ListItem>
                                <asp:ListItem>Jim</asp:ListItem>
                            </asp:ListBox>
                            </td>
                        <td>
                            <asp:ListBox ID="lst2" runat="server" AutoPostBack="True" OnSelectedIndexChanged="lst_SelectedIndexChanged" Height="120px" Width="100px">
                                <asp:ListItem>Anna</asp:ListItem>
                                <asp:ListItem>Rachel</asp:ListItem>
                                <asp:ListItem>Betty</asp:ListItem>
                            </asp:ListBox>
                        </td>
                        <td class="newStyle1">
                            <ol>
                                <li>Click a name in either ListBox</li>
                                <li>Click two names quickly, the first event is cancelled</li>
                            </ol>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>

            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnAdd" EventName="Click" />
            </Triggers>

        </asp:UpdatePanel>
    
        <asp:UpdateProgress ID="UpdateProgress1" runat="server" 
            AssociatedUpdatePanelID="UpdatePanel1">
            <ProgressTemplate>
                <span class="style1"><strong>Move in progress...</strong></span>
            </ProgressTemplate>
        </asp:UpdateProgress>
    
    </div>

            <br />
    <asp:Panel ID="Panel2" runat="server" BorderStyle="Solid"><span class="newStyle2">UpdatePanel2</span>
        <div>
            <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                <ContentTemplate>
                <table>
                    <tr>
                        <td><asp:Button ID="btnAdd" runat="server" onclick="btnAdd_Click" Text="Add" />&nbsp;Name:</td>
                        <td><asp:TextBox ID="txtName" runat="server" Width="60px"></asp:TextBox></td>
                        <td><asp:ListBox ID="lst3" runat="server" AutoPostBack="True" Width="100px"></asp:ListBox></td>
                        <td class="newStyle1">
                            <ol>
                                <li>Type a name and Add, adds to ListBox in UpdatePanel1 and UpdatePanel2</li>
                                <li>Note: UpdatePanel1 defines the Add button as a Trigger</li>
                            </ol>
                        </td>
                    </tr>
                </table>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:UpdateProgress ID="UpdateProgress2" runat="server" AssociatedUpdatePanelID="UpdatePanel2">
                <ProgressTemplate>
                    <span class="style1"><strong>Add in progress...</strong></span>
                </ProgressTemplate>
            </asp:UpdateProgress>
        </div>

    </asp:Panel>    

    
    </div>
    </form>
</body>
</html>
