﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AjaxJQueryJson.aspx.cs" Inherits="ajax.pages.AjaxJQueryJson" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ajax with Json using jQuery</title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>

	function noSuggestions() {
		$("#txtResults").val("***No Martians to display");
	}

	$(document).ready(function () {
		$("#btnRetrieve").click(function () {
			const numMartians = $("#txtNumMartians").val();

			$.ajax({
				type: "GET",
				url: "MartianService.aspx",
				data: {
					num: numMartians
				},
				dataType: "json", // xml, html, script, json, text
				success: function (response) {
					if (response.length == 0) {
						return noSuggestions();
					}
					const martians = response;
					const martiansMessage = getMartiansMessage(martians);
					$("#txtResults").val(martiansMessage);
				}
			});
		});
	});

	function getMartiansMessage(martians) {
		var msg = "Martians: id-name\n";
		for (i = 0; i < martians.length; i++) {
			const martian = martians[i];
			msg += "" + martian.Id + "-" + martian.Name + "\n";
		}
		return msg;
	}
</script>

</head>
<body>
    <form id="form1" runat="server">
         <div>
			<p>Ajax with Json Data using jQuery</p>
			<p>Specify the number of Martians to retrieve</p>
			<p>
				<button type="button" id="btnRetrieve">Retrieve</button>
				&nbsp;<asp:TextBox ID="txtNumMartians" runat="server"></asp:TextBox>
			</p>
			<asp:Label ID="Label1" runat="server" Text="Results"></asp:Label>
			<br />
			<asp:TextBox ID="txtResults" runat="server" Height="248px" TextMode="MultiLine" Width="494px"></asp:TextBox>
        </div>    
    </form>
</body>
</html>
