﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AjaxJS_HelloWorld.aspx.cs" Inherits="ajax.AjaxJS_HelloWorld" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ajax with JS, Ex 1</title>
    <script>
        function makeAjaxRequest() {
            alert("about to make ajax request");
            var name = document.getElementById("txtName").value;

            ajaxRequest = new XMLHttpRequest();
            ajaxRequest.onreadystatechange = ajaxUpdate;  // Set call-back function
            ajaxRequest.open("GET", "Ex01_Data.aspx?q=" + name, true);
            ajaxRequest.send();
        }

        function ajaxUpdate() {
	        var DONE = 4; // readyState 4 means the request is done.
	        var OK = 200; // status 200 is a successful return.
	        if (ajaxRequest.readyState == DONE) {
		        if (ajaxRequest.status == OK) {
			        var greeting = ajaxRequest.responseText;
					alert("response from server recieved" + " " + greeting);
					document.getElementById("message").innerHTML = greeting;
		        }
		        else {
			        var msg = "readyState=" + ajaxRequest.readyState + ", ";
			        msg += "status=" + ajaxRequest.status;
			        alert(msg);
		        }
	        }
        }

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <p><b>Simple AJAX Example Using JavaScript XMLHttpRequest</b></p>
        <p>Makes async call to server to get greeting</p>

        <p>Enter a name: <input id="txtName" type="text" name="txtName" /></p>
        <p><button type="button" onclick="makeAjaxRequest();">Ajax Button</button></p>
        <div id="message"></div>
    </div>
    </form>
</body>
</html>
