﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AjaxJS_Suggestions.aspx.cs" Inherits="ajax.AjaxJS_Suggestions" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
 
    <script type="text/javascript">
    var ajaxRequest; // Need to use in both functions below.

    // Takes character(s) from user and sends to server
    function makeAjaxRequest(strName) {
        if (strName.length == 0) { // If no data, clear suggestions.
            document.getElementById("nameList").innerHTML = '';
            return;
        }
        
        if (!window.XMLHttpRequest) {
            alert("Browser doesn't support XMLHttpRequest object");
            return;
        }

        ajaxRequest = new XMLHttpRequest();
        ajaxRequest.onreadystatechange = ajaxUpdate;  // Set call-back function
        ajaxRequest.open("GET", "suggestions.aspx?q=" + strName, true);
        ajaxRequest.send();
    } 

    // Takes response from server and displays it.
    function ajaxUpdate() {
        // readyState of 4 or 'complete' represents that data has been returned.
        if (ajaxRequest.readyState == 4 && ajaxRequest.status == 200) {
            var suggestions = ajaxRequest.responseText;
            if (suggestions.length == 0) {
                document.getElementById("nameList").innerHTML = "***No suggestions";
                return;
            }
            document.getElementById("nameList").innerHTML = suggestions;
        }
    }

</script>

</head>
<body>
    <form id="form1" runat="server">
        <div>
			<p><b>Simple AJAX Example Using JavaScript XMLHttpRequest</b></p>
            <p>This example illustrates a suggestion list as the user types in the TextBox.</p>
            <p>Enter a name: 
				<input id="txtName" onkeyup="makeAjaxRequest(this.value);" type="text" name="txtName" />
            </p>
			<%--Suggestions will go in div below--%>
            <div class="style1" id="nameList"></div>
        </div>
    </form>
</body>
</html>
